Table table;

int dangerousCount = 0;
int classCount = 0;
int homeCount = 0;

void setup() {  
  table = loadTable("non-digital.csv", "header");
  size(500, 400);  
  println(table.getRowCount() + " total rows in table"); 

  for (TableRow row : table.rows ()) {   
    String where = row.getString("where");    
    //String latin_name = row.getString("latin_name"); 
    //println(where);
  } 
  smooth();
}

void draw() {
  background(0);
  getInfo();
}

void getInfo() {  
  int x = 20;
  int y = 40;

  String[] where = new String[table.getRowCount()];
  String[] emotion = new String[table.getRowCount()];

  int[] emotionr =  new int[table.getRowCount()];
  int[] emotiong =  new int[table.getRowCount()];
  int[] emotionb =  new int[table.getRowCount()];

  String[] communicated = new String[table.getRowCount()];

  for (int i = 0; i<where.length; i++) {
    TableRow row = table.getRow(i);
    where[i]=row.getString("where");
    where[i]=trim(where[i]);
    emotion[i]=row.getString("emotion");
    communicated[i]=row.getString("communicated");
    communicated[i]=trim(communicated[i]);

    
    emotionr[i]=row.getInt("emotionr");
    emotiong[i]=row.getInt("emotiong");
    emotionb[i]=row.getInt("emotionb");
    
    color c = color(emotionr[i], emotiong[i], emotionb[i]);
    fill(emotionr[i], emotiong[i], emotionb[i]);
    strokeWeight(6);
    stroke(emotionr[i], emotiong[i], emotionb[i], 70);
//    ellipse(x+15, y, 25, 25);
//    println(emotionr[i] +" "+ emotiong[i] +" "+ emotionb[i]);

    fill(c,150);

   if (where[i].equals("street") == true ) {
      ellipse(x+80, y, 50, 50);    
    }    
    if (where[i].equals("home") == true ) {
      ellipse(x+80, y, 50, 50);   
    }    
    if (where[i].equals("class") == true ) {
      ellipse(x+80, y, 50, 50);
      classCount = classCount+1;
    }
  text(communicated[i], x+90, y); 
     fill(255); 
    text(where[i], x, y+4); 
  
    y = y+20;
    noLoop();
  }
}

